"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const url_safe_base64_1 = require("url-safe-base64");
const axios = require('axios');
class Metadata {
    constructor(configuration) {
        this.url = `${configuration.values().coordinationEndpoint}/config`;
        this.configuration = configuration;
    }
    set(keyValue) {
        return __awaiter(this, void 0, void 0, function* () {
            const url = `${this.url}/base64:${(0, url_safe_base64_1.encode)(keyValue.key)}`;
            axios.put(this.url, (0, url_safe_base64_1.encode)(keyValue.value), {
                headers: {
                    "Accept": "application/json",
                    "Content-Type": "application/json",
                    "Authorization": `Bearer ${this.configuration.apiKey}`,
                }
            });
        });
    }
}
exports.default = Metadata;
